
Wed Jan 17 16:50:39 2007  John Ellis  <johne@verizon.net>

	* README: Fix credits for Belarusian translation.

Sun Dec  3 12:58:06 2006  John Ellis  <johne@verizon.net>

	* view_dir_tree.c (vdtree_add_by_data): Plug memory leak, in fact
	the data returned by parts_list() was not used here at all.

Sat Dec  2 20:47:12 2006  John Ellis  <johne@verizon.net>

	* README: Updates.
	* configure.in: Release 2.1.5

Sat Dec  2 20:15:22 2006  John Ellis  <johne@verizon.net>

	* editors.c: Escape the 4 characters [ "`$\ ] in filenames passed
	to the system shell. Assumes bash-like escaping syntax for "sh -c".

Sat Dec  2 16:44:48 2006  John Ellis  <johne@verizon.net>

	* image-overlay.[ch]: More work on osd icons.
	* image.c: Use correct flag when setting auto rotation state, and set
	the state again after the rotation so that osd can update.
	* img-view.c: Show osd icon when overlay is enabled.
	* layout.c, layout_image.[ch]: Enable overlay regardless of the
	full screen state, only difference now is that image description text
	is only shown when in full screen but icons will always appear.
	* layout_util.c: Make I key toggle overlay from windowed mode too.
	* typedefs.h (LayoutWindow): Remove no longer used 
	full_screen_overlay_on.

Fri Dec  1 14:27:55 2006  John Ellis  <johne@verizon.net>

	* print.c (print_job_ps_page_image): Use a white mask when printing
	transparent images, fixes bug #1426596.

Thu Nov 30 09:55:42 2006  John Ellis  <johne@verizon.net>

	* slideshow.c (real_slideshow_start): Fix memory leak when unable to
	begin a slideshow.

Wed Nov 29 22:53:03 2006  John Ellis  <johne@verizon.net>

	* image-overlay.[ch]: Prepare for icon notification display, and fix
	info overlay image index when on last image of slideshow.
	* img-view.c: Fix image index when on last image of slideshow.

Wed Nov 29 14:28:30 2006  John Ellis  <johne@verizon.net>

	* image-overlay.[ch]: Rewrite most of the information overlay code to
	be more flexible and easily extended.
	* image.[ch], typedefs.h: Remove image_new_func, and replace it with
	image_state_func callback which is much more informative.
	* img-view.c, layout.c, layout_image.c: Updates for new image overlay
	function names.

Tue Nov 28 13:17:18 2006  John Ellis  <johne@verizon.net>

	* image.c: When resuming a previous color adjustment, set the display
	to update incrementally to avoid user confusion of why half of image
	is color adjusted.

Tue Nov 28 11:54:30 2006  John Ellis  <johne@verizon.net>

	* color-man.[ch]: Allow color manager to work with GdkPixbufs not
	linked to an ImageWindow. Fix missing embedded dummy function when
	compiling without color profile support.
	* image.c: When embedded color profiles is enabled and EXIF ColorSpace
	is set to 1 use sRGB color profile for the image. Also fixed order of
	starting the image read-ahead when color profiles are in use.
	* typedefs.h (ImageWindow): Use gpointer definition correctly so that
	cm is a pointer and not a pointer to a pointer.
	* utilops.c: Pass 0 to vertical fill arg of gtk_table_attach() instead
	of FALSE.

Mon Nov 27 01:23:23 2006  John Ellis  <johne@verizon.net>

	* bar_exif.c, cache-loader.c, pan-view.c: Pass new arg for exif_read().
	* color-man.[ch]: Add color_man_new_embedded for using in-memory color
	profiles.
	* exif.[ch]: Add support for extracting color profiles embedded in jpeg
	and tiff images. This resulted in a rewrite of the jpeg parser; both
	to allow searching for any marker type, and to make the code readable.
	* format_raw.c: Add color profile tag to the debug code.
	* image.c, layout.c: Use embedded color profiles when found and
	enabled, also add toggle for the option in color profile menu.

Fri Nov 24 21:37:01 2006  John Ellis  <johne@verizon.net>

	* configure.in: Add test for lcms (little cms).
	* Makefile.am: Add color-man.[ch]:
	* color-man.[ch]: New files for color management support.
	* globals.c, gqview.h, main.c, rcfile.c, typedefs.h: Add color profile
	variables and option saving.
	* image.[ch]: Add color profile functions.
	* layout.c, layout_image.[ch]: Add color profile icon, popup menu, and
	fix sort menu to use radio buttons.
	* menu.c: Use radio buttons for sort menu when appropriate.
	* preferences.c: Add color profile options to preferences.
	* ui_menu.[ch]: Add menu_item_add_radio() for radio item menus.
	* ui_misc.c: Fix gtk_table_attach() arg for vertical expansion.
	* view_file_icon.c, view_file_list.c: Check for active state in sort
	menu callbacks.
	* README: Add info about lcms, and how to disable.

Fri Nov 17 19:06:19 2006  John Ellis  <johne@verizon.net>

	* ui_fileops.[ch]: Add path_list_lstat() to obtain a path listing that
	does not follow symbolic links.
	* utilops.[ch]: Add file_util_delete_dir(), and support functions.
	* view_dir_list.c: Add delete to folder popup menu.
	* view_dir_tree.c: Add delete to folder popup menu, and set rename and
	delete sensitive only when parent folder is writable.

Wed Nov 15 02:05:27 2006  John Ellis  <johne@verizon.net>

	* view_file_icon.c: Fix odd crash when removing files, it seems the
	high priority idle sync is no longer called before the treeview tries
	to redraw itself, so fix the cleanup of removed pointers so that they
	are always valid or NULL (I wonder if the priorities used by
	GtkTreeView have changed in newer versions of GTK?).
	* view_file_list.c: Fix progress bar warning when files are removed
	before thumbnail generation is finished.

Tue Nov 14 15:36:14 2006  John Ellis  <johne@verizon.net>

	* exif.[ch]: Fix memory alignment issues, bug #1593252.

Fri Nov 10 18:11:54 2006  John Ellis  <johne@verizon.net>

	* image.c: Fix up initial scroll offset into image when auto rotated
	by exif info, and keep same center point when rotating otherwise.

Fri Nov 10 16:11:28 2006  John Ellis  <johne@verizon.net>

	* format_fuji.c (format_fuji_raw): Use exif_byte_get_int32() to get
	the value, as when that is eventually fixed to be alignment safe,
	the so shall this.

Thu Nov  9 20:27:47 2006  John Ellis  <johne@verizon.net>

	* exif.[ch]: Rename exif_byte_swab..() to exif_byte_put..() as that is
	more in line with their counterparts of exif_byte_get..()

Thu Nov  9 17:43:06 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: Break this monstrosity of code into smaller files.
	* pan-calendar.c, pan-folder.c, pan-grid.c, pan-timeline.c: Move the
	layout types into their own files (for now flower is with folder tree).
	* pan-item.c: PanItem creation, drawing, actions, and maintenance.
	* pan-types.h: Defines, data types, function prototypes.
	* pan-util.c: Various utilities.
	* src/Makefile.am: Add new files above.

Wed Nov  8 16:59:14 2006  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.[ch]: Give image overlays their own child GdkWindow,
	and use a buffer when drawing to those windows to avoid flicker.
	Scrolling with the info [I] visible in full screen is now much
	smoother. Only one regression that will be fixed later: overlapping
	overlays are now ugly.

Wed Nov  8 11:36:58 2006  John Ellis  <johne@verizon.net>

	* format_nikon.h: For the pentax test, use tiff make instead of a magic
	string that can move location.

Tue Nov  7 19:54:44 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: For calendar view only show months that contain an image.
	Allow choice of size when displaying an image with the info popup.

Tue Nov  7 15:35:59 2006  John Ellis  <johne@verizon.net>

	* exif.c: Use new format_raw_exif_offset() function to find Exif in
	raw files.
	* filelist.c: Add orf and pef to displayed file types.
	* format_canon.h, format_fuji.h: Update to new #define format.
	* format_fuji.c: Use same offset for Exif as the jpeg image as the
	Exif is always embedded in the jpeg and assuming offset of 12 is
	just broken.
	* format_nikon.h: Update to new #define format, and add pentax here
	as finding the jpeg will be same code.
	* format_olympus.[ch]: Support Olympus raw files with embedded jpegs,
	not all raw files will have a jpeg, but all appear to have Exif tags.
	* format_raw.[ch]: Add new camera types, and add a debugging facility
	to easily list all tags within tiff files (see format_raw.h to enable).

Mon Nov  6 20:53:22 2006  John Ellis  <johne@verizon.net>

	* format_olympus.c: Fix olympus makernote tag types to match image
	sample: Olympus.Bracket, Olympus.FocusDistance, Olympus.SerialNumber,
	and Olympus.FlashBias.

Sat Nov  4 17:14:47 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: Always recalculate canvas size when displaying popups.
	* README: Updates.
	* po/eo.po: Mark translation for 'Command Line' not fuzzy.
	* configure.in: Release 2.1.4 (quick bug fix for pan view).

Sat Nov  4 16:55:08 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: Only print things to console when debug is enabled.
	* pixbuf-renderer.c: Fix pixbuf_renderer_set_tiles_size() so that
	canvas will not treat scroll position as if a new image was set, this
	fixes popups in the Pan View from causing a scroll to the top left or
	center when scroll_reset_method is not set to 'no change'. Also clean
	up pr_pixbuf_set() and pr_zoom_sync() arguments, some were unused or
	always set TRUE as they were old cruft.

Sat Nov  4 10:31:51 2006  John Ellis  <johne@verizon.net>

	* README: Updates.
	* icons/Makefile.am: Remove icon files that no longer exist.
	* configure.in: Release 2.1.3

Fri Nov  3 21:15:40 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: Fix shortcuts to work regardless of what has the focus.
	Make [Control]+F (in addition to [/] show the find bar and [Control]+G
	go to next match. Add folder location field to info popup.

Fri Nov  3 11:40:48 2006  John Ellis  <johne@verizon.net>

	* bar_exif.[ch]: Make list of general exif tags available to rest of
	application.
	* pan-view.c: Add option to display exif information in info popup.
	Clean up the info popup text alignment. Make displaying the full size
	image below the info popup optional (off by default).
	* pixbuf-renderer.c (pr_source_tile_changed): Guard against
	width/height less than 1.
	* pixbuf_util.c (pixbuf_draw_layout): Guard against width/height less
	than 1.

Thu Nov  2 17:51:31 2006  John Ellis  <johne@verizon.net>

	* collect.c, img-view.c: Make [Shift]+P printing shortcut work for
	collections and view windows.
	* layout_util.c: Fix shortcuts [Control]+N and [Shift]+P, broken
	by the previous keypress handler code cleanup. Add [Control]+V to
	view current image in a new image window.

Thu Nov  2 14:38:54 2006  John Ellis  <johne@verizon.net>

	* view_file_list.c: Fix slow re-sort when updating list by clearing the
	list and adding items in the new order instead of simply moving them.
	Fixes bug #1451200.

Thu Nov  2 06:46:14 2006  John Ellis  <johne@verizon.net>

	* po/eo.po: Add Esperanto translation,
	submitted by Antonio C. Codazzi <f_sophia@libero.it>.
	* configure.in (ALL_LINGUAS): Add new translation.
	* README: Update credits for above.

Wed Nov  1 11:39:48 2006  John Ellis  <johne@verizon.net>

	* gqview.h, main.c (window_set_icon): Change to use inline pixbufs
	instead of xpms.
	* collect.c, img-view.c, layout.c, preferences.c: Use new icons.
	* pixbuf_util.[ch]: Add new icons.
	* icons/Makefile.am: Update generated inline pixbufs.
	* icons/collect.xpm, icons/config.xpm, icons/icon.xpm, icons/tools.xpm,
	icons/view.xpm: Remove old xpm icons.
	* icons/gqview_icon.png, icons/icon_book.png, icons/icon_config.png,
	icons/icon_tools.png, icons/icon_view.png: The new icons in png format.
	* icons/svg/*.svg: Add svg sources for icons, they are not used or
	anything, but this way I can not misplace them again.

Tue Oct 31 18:06:42 2006  John Ellis  <johne@verizon.net>

	* info.c: Increase default info window size to 600x400.
	* po/be.po: Update Belarusian translation,
	submitted by Pavel Piatruk <berserker@neolocation.com>.
	* gqview.desktop: Add additional formats to MimeType list.

Sat Oct 28 14:41:10 2006  John Ellis  <johne@verizon.net>

	* img-view.c: Use correct method to close the window using Escape key,
	fixes bug #1231845. Also added more robust method to update window
	list when a window is closed so this doesn't happen again.
	* slideshow.c: Add sanity checks to exported functions to check for
	NULL SlideShow pointers, to match rest of coding style.

Fri Oct 27 19:45:32 2006  John Ellis  <johne@verizon.net>

	* layout.c, ui_menu.c, ui_misc.c: Use g_object_ref_sink when
	gtk_object_sink is not available as it is deprecated.

Wed Oct 25 15:17:38 2006  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.c (pixbuf_renderer_scroll): Fix long standing bug
	where obstructed portions of an image were not always generating an
	expose event when scrolling the image.

Mon Oct 23 05:34:29 2006  John Ellis  <johne@verizon.net>

	* img-view.c, layout_image.c, layout_util.c, pan-view.c: Make F11 also
	toggle fullscreen.

Fri Oct 20 09:20:10 2006  John Ellis  <johne@verizon.net>

	* collect-table.c, collect.c, dupe.c, pan-view.c, search.c,
	view_file_icon.c: Keypress signal handler code clean-up round 2: the
	remaining files. Make control and shift logic easier to follow.

Fri Oct 20 08:00:08 2006  John Ellis  <johne@verizon.net>

	* img-view.c, layout_image.c, layout_util.c: Keypress signal handler
	code clean-up round 1: the main windows. Also fixes [Shift]+[F] from
	deactivating full screen [F].

Thu Oct 19 15:20:51 2006  John Ellis  <johne@verizon.net>

	* image.c, typedefs.h: Add ALTER_DESATURATE alteration type.
	* img-view.c, layout_image.c, layout_util.c, menu.c: Allow to grayscale
	the display of current image with [Shift]+[G] keyboard shortcut and
	'adjust' submenu item. Also fixed bug of [Shift]+[R] shortcut from also
	activating refresh [R].
	* pixbuf_util.[ch] (pixbuf_desaturate_rect): Implement grayscale
	function.

Thu Oct 19 09:35:18 2006  John Ellis  <johne@verizon.net>

	* layout.[ch] (layout_new_with_geometry): New function to create a
	layout sized to an X geometry string.
	* main.c: Add support for --geometry on the command line.

Thu Oct 19 07:42:38 2006  John Ellis  <johne@verizon.net>

	* utilops.c: Fix minimum allowed auto-rename value to be zero again,
	but keep the default at 1.

Thu Oct 19 07:23:37 2006  John Ellis  <johne@verizon.net>

	* cache_maint.c, thumb_standard.[ch]: Use .thumblocal when saving
	local thumbnails as per the freedesktop.org thumbnail spec.
	* filelist.c: Add .thumblocal to list of ignored folders (those we
	never show user).
	* main.c: Fix bug in recent command line parser changes, a single
	folder on the command line was not processed by parse_out_relatives().

Sun Oct 15 12:36:06 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: For now, also display the full size image under the
	thumbnail's information bubble. Make clicking the info box close it.

Sun Oct 15 10:45:14 2006  John Ellis  <johne@verizon.net>

	* pan-view.c: Recalc the size of the layout when popping up new images
	in the calendar so that all new images can be scrolled into view.
	* pixbuf-renderer.[ch] (pixbuf_renderer_set_tiles_size): Add ability
	to resize a tile canvas without the need for a complete reset/render.

Sun Oct 15 04:03:41 2006  John Ellis  <johne@verizon.net>

	* main.c: Fix command line parser to work with any combination of files
	and/or folders on the command line.

Sun Oct 15 02:50:22 2006  John Ellis  <johne@verizon.net>

	* eu.po: Add Basque translation,
	submitted by Piarres Beobide <pi@beobide.net>.
	* configure.in (ALL_LINGUAS): Add eu.
	* README: Update credits.

Sat Oct 14 09:38:08 2006  John Ellis  <johne@verizon.net>

	* po/*.po: Make distcheck touches these.
	* gqview.spec.in: Fix to use License: instead of obselete Copyright:.
	* configure.in: Release 2.1.2

Sat Oct 14 08:26:38 2006  John Ellis  <johne@verizon.net>

	* vi.po: Update Vietnamese translation,
	submitted by pclouds <pclouds@vnlinux.org>.
	* README: Updates.

Sat Oct 14 05:44:40 2006  John Ellis  <johne@verizon.net>

	* ar.po, be.po, bg.po, ca.po, cs.po, de.po, es.po, fi.po, hu.po,
	it.po, ja.po, nl.po, pl.po, pt_BR.po, ro.po, ru.po, sk.po, sv.po,
	vi.po, zh_TW.po: Fix punctuation of "Allow enlargement of image for
	zoom to fit" translations, and unmark as fuzzy when only the change in
	punctuation caused the fuzzy state.
	* README: Updated po-stats list.

Sat Oct 14 05:18:45 2006  John Ellis  <johne@verizon.net>

	* utilops.c: Mark string for translation.
	* fi.po: Update Finnish translation [merge from 2.0.2],
	submitted by Lauri Nurmi <lanurmi@iki.fi>.
	* README: Updates.

Fri Oct 13 12:18:01 2006  John Ellis  <johne@verizon.net>

	* ru.po: Update Russian translation [merge from 2.0.2],
	submitted by Vitaly Lipatov <lav@altlinux.ru>.

Fri Oct 13 10:27:22 2006  John Ellis  <johne@verizon.net>

	* cache_maint.c, ui_fileops.c, ui_pathsel.c, ui_tabcomp.c: Remove use
	of the d_ino > 0 test as all files listed by readdir should be valid.
	dirent.d_ino is not guanteed by POSIX, and at one recent point is
	not implemented on cygwin.

Fri Oct 13 09:25:25 2006  John Ellis  <johne@verizon.net>

	* pl.po: Update Polish translation,
	submitted by Wit Wilinski <madman@linux.bydg.org>.
	* README: Updates.

Fri Oct 13 05:22:43 2006  John Ellis  <johne@verizon.net>

	* bar_sort.c, pan-view.c, preferences.c: Mark strings for translation,
	plus punctuation fix.
	* utilops.c: Change auto rename start number to default to 1.
	* configure.in (ALL_LINGUAS): Add be, ca, ko translations.
	* gqview.spec.in: Add Italian translation to RPM spec file,
	submitted by HappyCactus <happycactus@people.it>.
	* be.po: Add Belarusion translation,
	submitted by Pavel Piatruk <berserker@neolocation.com>.
	* ca.po: Add Catalan translation [merge from 2.0.2],
	submitted by catux.org <mecatxis@ya.com>.
	* de.po: Update German translation [merge from 2.0.2],
	submitted by Ronny Steiner <Post@SIRSteiner.de>.
	* fr.po: Update French translation,
	submitted by Éric Lassauge <lassauge@users.sourceforge.net>.
	* it.po: Update Italian translation,
	submitted by Kostantino <ciclope10ATalice.it>.
	* ko.po: Add Korean translation (mostly menus),
	submitted by Hyun-Jin Moon <moonhyunjin@gmail.com>.
	* pt_BR.po: Update Brazilian Portuguese translation,
	submitted by Herval Ribeiro de AzevÃªdo <heraze@gmail.com>.
	* sk.po: Update Slovak translation,
	submitted by Mgr. Peter Tuharsky <tuharsky@misbb.sk>.
	* zh_TW.po: Update Traditional Chinese translation,
	submitted by S.J. Luo <crystal@mickey.ee.nctu.edu.tw>

Fri Sep  1 02:12:45 2006  John Ellis  <johne@verizon.net>

	* collect-io.c, thumb_standard.c: Do not ignore return value from
	g_list_append as newer versions of gtk now set a warning flag.
	* utilops.c: Add new auto rename option to enter formatted text, which
	uses * and # characters to symbolize original filename and numerical
	value (respectively) in new filenames.

Mon Aug 15 18:27:38 2005  John Ellis  <johne@verizon.net>

	* cache.c: Make cache loader tolerant of unknown line values, so that
	a cache written by newer/older versions of GQview does not result in
	recreating data that is actually there.

Mon Aug 15 17:13:57 2005  John Ellis  <johne@verizon.net>

	* collect-table.c, dupe.c, exif.c, img-view.c info.c, layout_image.c,
	md5-util.[ch], pan-view.c, remote.c, search.c, thumb_standard.c,
	ui_bookmark.c, ui_misc.c, ui_pathsel.c, view_dir_list.c,
	view_dir_tree.c, view_file_icon.c, view_file_list.c: Fix signedness
	warnings in gcc 4.0.

Mon Aug 15 16:35:15 2005  John Ellis  <johne@verizon.net>

	* view_dir_tree.c (vdtree_set_path): Do not force reading folder
	contents, to allow the check for a changed timestamp do it's job.
	* doc/10_options.html: Fix page link in docs.

Thu Jun 16 01:21:43 2005  John Ellis  <johne@verizon.net>

	* cache-loader.c (cache_loader_process): When converting Exif date
	string to time_t, tell mktime DST is unknown (-1).

Mon Jun 13 20:22:58 2005  John Ellis  <johne@verizon.net>

	* image.c (image_zoom_cb): If needed, update window title when
	zoom changes.
	* pixbuf-renderer.c (pr_size_sync): Send zoom signal when new window
	size results in a new scale value.
	* README: Updates.
	* configure.in: Release 2.1.1

Mon Jun 13 17:31:46 2005  John Ellis  <johne@verizon.net>

	* editors.[ch]: Add "%w" macro to disable full screen deactivation when
	running an editor command.
	* img-view.c, layout_image.c, pan-view.c: Honor %w editor flag to
	prevent exit of full screen.
	* image-load.c (image_load_begin): Fix to not treat short reads as
	end of file condition.
	* README, doc/10_5_editor_commands.html: Document %w macro for editor
	commands.
	* po/it.po: Update Italian translation,
	submitted by Kostantino <inverness1ATvirgilio.it>.

Sun Jun 12 19:25:26 2005  John Ellis  <johne@verizon.net>

	* format_canon.[ch]: Reimplement canon raw parser to use convenience
	functions from exif.c, also separated parsers into one per file type.
	For the cr2 format also verify compression type in tiff field 0x0103.
	* format_raw.c: Add FIXME comment noting current shortcomings.

Sat Jun 11 01:06:49 2005  John Ellis  <johne@verizon.net>

	* exif.c, format_nikon.c, format_olympus.c: Fix memory leaks,
	exif_text_list_find_value() will always return newly allocated text.

Fri Jun 10 20:57:42 2005  John Ellis  <johne@verizon.net>

	* exif.c (exif_parse_IFD_table): Fix offset count before testing
	against buffer size.
	* exif.h: Make exif_text_list_find_value available.
	* format_canon.c: Fix copy's length when duping Canon.SerialNumber, and
	adjust several text descriptions.
	* format_fuji.c: Remove "MkN." text from tag names.
	* format_nikon.c: Fix offset count before testing against buffer size,
	and remove "MkN." text from tag names. Add several new tags.
	* format_olympus.[ch]: New files for olympus makernote.
	* format_raw.c: Add exif olympus hook.
	* src/Makefile.am: Add format_olympus.[ch].

Fri Jun 10 02:19:26 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Add exif date sorting option to right click menu, and
	change 'reading dimensions...' message to be more generic as it may now
	also be reading embedded exif dates, or both date and dimensions.

Thu Jun  9 23:22:01 2005  John Ellis  <johne@verizon.net>

	* exif.c (exif_parse_JPEG): Use memcmp as strncmp is inadequate when
	bytes with values of 0 are actually in the data to compare.

Thu Jun  9 22:23:18 2005  John Ellis  <johne@verizon.net>

	* exif.[ch]: A lot of code clean up, add generic tiff header parser,
	remove use of packed structures to interpret tiff file format,
	fix possible endless loops in tiff parser with corrupt IFD tables,
	and fix possible overflow in jpeg exif parser.
	* format_canon.[ch]: Add additional makernote values, plus a few
	spelling fixes. Header update.
	* format_fuji.[ch]: Header update.
	* format_nikon.[ch]: Updates to use new tiff parsing utils in exif.c,
	code cleanup. Header update.
	* format_raw.[ch]: Add pathname argument to file descriptor version of
	raw parser to quickly rule out non-raw files based on file extension.
	Add raw header match type to check for tiff "make" field value.
	* image-load.c (image_loader_begin): Add image filename for raw parser.

Tue Jun  7 03:47:03 2005  John Ellis  <johne@verizon.net>

	* filelist.c (filter_add_defaults): Add Nikon file extension for nef.
	* format_canon.[ch], format_fuji.[ch]: Add comment tile, and
	description field for MakerNote parser.
	* format_nikon.[ch]: Add support for jpegs embedded in Nikon nef files.
	* format_raw.c: Add debug description output and Nikon raw parser hook.

Sun Jun  5 03:05:39 2005  John Ellis  <johne@verizon.net>

	* filelist.c (path_list_recursive_append): Fix memory leak by using
	correct function to free path list.

Sat Jun  4 22:24:00 2005  John Ellis  <johne@verizon.net>

	* exif.[ch]: Use glib provided data types and byte order functions for
	consistency with rest of application. Made several more functions
	available in the header. Use MakerNote parsing from format_raw.c.
	* format_canon.[ch]: Changes to match exif.h and format_raw.h.
	* format_fuji.[ch]: Add support for Fuji EXIF MakerNote.
	* format_nikon.[ch]: New files, add support for Nikon EXIF MakerNote.
	* format_raw.[ch]: Add EXIF MakerNote parser functions to gather all
	camera formats here (similar to existing raw format list).
	* src/Makefile.am: Add format_nikon.[ch].

Sat Jun  4 04:02:04 2005  John Ellis  <johne@verizon.net>

	* README: Update credits.

	Apply fix from Daniel M. German:

	* format_canon.c (canon_read_int): Fixed error which caused a
	segfault under OS X. It was a casting a number as a 32
	bit, when it was 16. it works in little endian, but not in big
	endian machines.
	
Fri Jun  3 20:02:23 2005  John Ellis  <johne@verizon.net>

	* format_canon.c (canon_mknote_parse_convert): For serial number
	conversion, use the value of the data - not the value of the pointer.

Fri Jun  3 18:43:46 2005  John Ellis  <johne@verizon.net>

	* bar_exif.c: Set a default size for the EXIF data column in the
	advanced view, and allow resizing of that column to allow more data to
	be visible when needed.
	* format_canon.c: Fix data type for Canon MakerNote Serial Number.

Fri Jun  3 01:49:20 2005  John Ellis  <johne@verizon.net>

	* exif.[ch]: Export several parsing functions for use by the exif
	makernote parsers, and add hook for MakerNote data parsing.
	* format_canon.[ch]: Add Canon EXIF MakerNote support.
	* format_raw.c: Fix warning printf grammar.

Thu May 26 22:14:53 2005  John Ellis  <johne@verizon.net>

	* format_raw.c (format_raw_parse): Use unsigned int to match arguments.

Thu May 26 13:57:19 2005  John Ellis  <johne@verizon.net>

	* format_raw.[ch]: Move camera specific code to manufacturer specific
	format_*.c files. Change code so that file descripter version is now a
	separate functions that wraps the standard parser by using mmap.
	* format_canon.[ch]: Moved Canon specific raw support here, removed
	file descriptor versions of parser. This Canon raw file parser written
	by Daniel M. German.
	* format_fuji.[ch]: Move Fuji specific raw support here, parser written
	by Lars Ellenberg.
	* exif.c: Update for change to format_raw_img_exif_offsets.
	* filelist.c: Add cr2 extension to Canon raw format list.
	* image-load.c: Fixes for changes to format_raw_img_exif_offset_fd so
	that buffer is refilled using new offset of file descriptor.
	* src/Makefile.am: Add format_canon.[ch], format_fuji.[ch] to build.

Wed May 18 19:36:49 2005  John Ellis  <johne@verizon.net>

	* utilops.[ch] (file_util_rename_dir): New utility to rename a folder,
	does proper checking for existing folder to avoid clobbering an
	existing folder.
	* view_dir_list.c, view_dir_tree.c: Use new utility above when renaming
	a folder to fix possible clobbering of an existing folder with the
	same name as the requested name.

Sun May 15 21:40:26 2005  John Ellis  <johne@verizon.net>

	* format_raw.[ch]: New files to parse image data and exif offsets for
	the raw camera formats.
	* exif.c, image-load.c: Add support calls to format_raw.c functions
	above.
	* filelist.c: Add Fujifilm raw file extension to known formats.
	* thumb_standard.c (thumb_loader_std_start): Check for existing
	thumbnail file before checking for a failure mark.
	* src/Makefile.am: Add format_raw.[ch].

Sat May 14 13:04:23 2005  John Ellis  <johne@verizon.net>

	* po/cs.po: Update Czech translation,
	submitted by Jan Raska <jan.raska@tiscali.cz>
	* de.po, fr.po: Typo and spelling fixes.

Sat May 14 12:23:19 2005  John Ellis  <johne@verizon.net>

	* image.c, pixbuf-renderer.c: Fix sending of complete signal.
	* ui_pathsel.c: Guard against strcmp of NULL dd->path, fixes crash.
	* utilops.c: Additional validation for destination of copy/move
	dialogs, and do not include extension when conveniently selecting
	filename text in rename dialogs.

Wed Apr 27 15:17:57 2005  John Ellis  <johne@verizon.net>

	* bar_info.c, bar_sort.c: Update for new pref_toolbar_button args.
	* fullscreen.c, layout.c: Remove use of GDK_HINT_USER_SIZE as we
	never actually set these dimensions. Increase default size of main
	window.
	* layout_util.c: Use GTkToolbar for the main window toolbar.
	* pixbuf_util.[ch]: Add inline pixbufs for thumb and float icons.
	* rcfile.c: Add note to config file that it is autogenerated.
	* typedefs.h: Remove no longer used tooltip in LayoutWindow.
	* ui_misc.[ch]: pref_toolbar additions.
	* icons/icon_float.png, icons/icon_thumb.png: Icons in png format.
	* icons/icon_float.xpm, icons/icon_thumb.xpm: Remove xpm versions.
	* icons/Makefile.am: Add above icons to inline pixbuf list.

Sat Apr 16 12:29:42 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Add option to ignore symbolic links to folders when
	creating file list (no gui control yet), and do not allow listing
	the root folder as this introduces too many issues (for instance
	how do we ignore special filesystems such as /proc using only stat
	attributes?). Add fix to not show empty folders in the flower view.
	* thumb_standard.c (thumb_loader_std_finish): Fix logic that caused
	thumbnails to be saved for images with a size between normal and large
	when using large thumbnails.
	* ui_fileops.[ch]: Add utilities lstat_utf8 and islink.

Thu Apr 14 10:44:00 2005  John Ellis  <johne@verizon.net>

	* cache.c (cache_sim_data_load): Fix to return CacheData if any data
	type exists.
	* pan-view.c: Fix slow merging of embedded dates into file list;
	includes optimizing pan_cache_sync_date and plugging a memory leak.

Thu Apr 14 04:49:57 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.c (pixbuf_renderer_move): Clear the correct draw
	queue (source). Fixes crash introduced by Apr 12 changes.

Wed Apr 13 18:16:14 2005  John Ellis  <johne@verizon.net>

	* cache-loader.[ch]: New utility to load cache-able data.
	* cache.[ch]: Add embedded (exif) date caching.
	* pan-view.c: Use new cache loading mechanism. Add exif date support
	to timeline and calendar view.
	* src/Makefile.am: Add cache-loader.[c,h].

Tue Apr 12 07:59:20 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Use mostly neutral (gray) colors in the pan view to avoid
	tainting user perspective of image hues.
	* pixbuf-renderer.c (pixbuf_renderer_move): Free tile cache of source
	to avoid wasteful memory allocation, this will reduce memory waste
	when in full screen.

Fri Apr  8 15:31:38 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Optimize pan_layout_intersect by dividing object list
	into smaller sets (of ~ 1000 each) grouped by coordinates, this makes
	drawing tiles much faster when the window contains > 100,000 images.
	This adds the complexity of walking two lists when searching for a
	specific item, but the speed increase is worth it.

Thu Apr  7 08:42:54 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.c (pr_queue_to_tiles): Fix logic in test for
	only_existing argument.

Wed Apr  6 06:41:25 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Move pixbuf drawing into pixbuf_util.c.
	* pixbuf-renderer.c: Rename util_clip_region to pr_clip_region to fix
	namespace conflict with util in pixbuf_util.h.
	* pixbuf_util.[ch]: Moved pixbuf drawing utils here from pan-view.c

Wed Apr  6 02:43:40 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Reimplement pixbuf_draw_triangle for efficiency.
	* pixbuf-renderer.c: Fix pr_queue_to_tiles only_existing argument to
	only have effect on tiles that not currently visible. Remove use of
	hard coded PR_TILE_SIZE from tile size calculations, as it is only
	supposed to be used as the default value.

Tue Apr  5 05:09:29 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.c: Add argument to pr_queue_to_tiles to only redraw
	the parts of the image that have an existing tile, fixes slow loading
	of images when zoomed in because it was generating a tile for even
	off screen parts of the image.

Mon Apr  4 12:07:05 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Optimize pixbuf_draw_line, and use pixbuf_set_rect_fill
	to draw the background.

Sun Apr  3 00:36:22 2005  John Ellis  <johne@verizon.net>

	* image.c (image_options_set): Only enable PixbufRenderer 'window_fit'
	when both the ImageWindow and global setting are both enabled.
	* pan-view.c (pan_window_image_scroll_notify_cb): Add call to
	gtk_adjustment_value_changed to fix performance hit when scrolling.
	* pixbuf-renderer.c: Set tile render_todo flags to RENDER_ALL when
	invalidating so that there is no chance it will be used with old data.
	Only emit 'scroll-notify' signal when the value or range changes.
	Fix copy of zoom value in pixbuf_renderer_move.

Sat Apr  2 17:28:16 2005  John Ellis  <johne@verizon.net>

	* image.c (image_options_set): Update PixbufRenderer parent window so
	that changing 'fit window to image' option works.
	* pan-view.c (pan_window_image_zoom_cb): Use same zoom text display as
	for main windows.
	* pixbuf-renderer.c: Fix (re-implement) check for maximized window
	state. Fix pr_source_tile_visible() calculation which was using	the x
	axis where it should be y. Add redrawn return value to pr_zoom_clamp()
	and use that value in pr_zoom_sync() to pass pr_redraw correct args.
	* gqview.1: Fix spelling of vertical in man page.

Mon Mar 28 20:23:34 2005  John Ellis  <johne@verizon.net>

	* image.[ch]: Add utility to sync image settings to user preferences.
	* pixbuf-renderer.c: Fix rounding errors.
	* preferences.c: Call image_options_sync() when applying changes.

Fri Mar 25 22:39:30 2005  John Ellis  <johne@verizon.net>

	* image.c: Connect to 'zoom' signal of pixbuf-renderer and notify
	listener to update. Fix delay flip by listening for 'render_complete'.
	* pixbuf-renderer.[ch]: Add complete property and and emit a
	'render-complete' signal when changing complete back to TRUE.
	* view_dir_tree.c (vdtree_row_expanded): Populate a folder node
	whenever it is expanded.

Wed Mar 23 00:22:28 2005  John Ellis  <johne@verizon.net>

	* image.c (image_change_from_image): Fix and use pixbuf_renderer_move.
	* pan-view.c: Convert back to ImageWindow from PixbufRenderer, so that
	focus and full screen work again.
	* pixbuf-renderer.[ch] (pixbuf_renderer_move): Add this function.

Fri Mar 18 19:52:38 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.c: Fix broken 2pass queueing so it merges a single
	queue item for each tile, and now that a tile holds a queue pointer
	there is no need to walk the tile list to find a possible merge victim.

Thu Mar 17 19:23:56 2005  John Ellis  <johne@verizon.net>

	* image.c, pixbuf-renderer.[ch]: More progress, and 2 pass zoom now
	works again (mostly).

Tue Mar 15 23:17:41 2005  John Ellis  <johne@verizon.net>

	* image.[ch]: Start conversion to use of PixbufRenderer.
	* pixbuf-renderer.[ch]: Additions and fixes for use by ImageWindow.
	* fullscreen.c, image-overlay.c, img-view.c, info.c, layout.c,
	layout_image.c, print.c: Changes for above ImageWindow conversion.
	* typedefs.h: Remove unused ImageWindow variables.

Mon Mar 14 20:45:50 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Convert to using new PixbufRenderer.
	* pixbuf-renderer.[ch]: Clean up and fixes.

Sun Mar 13 10:21:35 2005  John Ellis  <johne@verizon.net>

	* image.c (image_scroller_start): Unref scroller pixbuf after adding it
	as an overlay to avoid leaking it.
	* pixbuf-renderer.[ch]: All functions defined in header file are now
	implemented.

Fri Mar 11 17:05:36 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.[ch]: Set up object properties and additional.

Mar 10 19:22:18 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.[ch]: FIx scrolling to use old method of gdk_draw and
	not gdk_scroll, as scroll often invalidates the entire window (!). Also
	merged in source tiles code from image.c.
	* pan-view.c: Change picked up when testing PixbufRender zoom.

Tue Mar  8 23:26:00 2005  John Ellis  <johne@verizon.net>

	* pixbuf-renderer.[ch]: Start of turning image drawing portion of
	ImageWindow into an actual GtkWidget.
	* src/Makefile.am: Add pixbuf-renderer.[ch].
	* pan-view.c: Added temporary hack button and callback for testing
	PixbufRenderer widget.

Sat Mar  5 16:23:32 2005  John Ellis  <johne@verizon.net>

	* README: Updates.
	* configure.in: Release 2.1.0

Sat Mar  5 16:02:52 2005  John Ellis  <johne@verizon.net>

	* main.c: Enable the beta message at startup.
	* po/fr.po: Update French translation (from stable branch),
	submitted by Eric Lassauge.

Sat Mar  5 15:51:07 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Make date search work in calendar view, plus calendar
	fixes. Make '/' search key refocus search entry.

Fri Mar  4 21:53:03 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Add calendar view. Make mouse wheel scroll.
	* po/POTFILES.in: Add pan-view.c for translation.

Thu Mar  3 17:57:46 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Make subsequent searches for same string step through all
	matches, also show match index and count in search result label.

Thu Mar  3 14:24:58 2005  John Ellis  <johne@verizon.net>

	* filelist.c, info.c, preferences.c, utilops.c: Use doubles instead of
	floats whenever possible.
	* ui_utildlg.c (generic_dialog_add_message): Enable line wrap for
	message body so specifying newlines is no longer needed.
	* pan-view.c: Display info dialog when thumbnail caching settings are
	not optimal.

Thu Mar  3 01:16:23 2005  John Ellis  <johne@verizon.net>

	* pan-view.c: Add 'dots' image size option, fix up border size at edge
	of grid, and make drag and drop work to/from the window.

Wed Mar  2 23:34:30 2005  John Ellis  <johne@verizon.net>

	* globals.c, gqview.h, rcfile.c: Add thumbnail_fast option variable.
	* image-load.c, typedefs.h: Add shrunk flag to determine if an image
	was scaled down using image_loader_set_requested_size.
	* image.c: Make panning with mouse scroll more when holding shift key.
	* preferences.c: Add option for 'Fast jpeg thumbnailing' and disabled
	xvpics option in the gui - now a hidden option.
	* thumb.c, thumb_standard.c: Add support for thumbnail_fast option..

Tue Mar  1 21:39:42 2005  John Ellis  <johne@verizon.net>

	* image.[ch] (image_scroll_to_point): Add alignment for location of
	point within visible region.
	* pan-view.c: Use alignment for scrolling above, and fix date search
	to only search thumbs and images.

Tue Mar  1 11:32:26 2005  John Ellis  <johne@verizon.net>

	* src/Makefile.am: Add pan-view.[ch]:
	* image.[ch]: Add support for using a grid of tiles as soource image.
	Added scroll_notify callback for when the viewable regionis scrolled.
	Added ability to set min and max for the zoom range. Removed
	unnecessary gtk_widget_size_request from image_size_sync. Added
	image_scroll_to_point.
	* layout_util.c: Add menu item and callback for the new 'Pan view'.
	* pixbuf_util.c (pixbuf_draw_layout): Fix for when offset is non-zero.
	* typedefs.h: Add source tile stuff for ImageWindow.
	* ui_tabcomp.c: Fix tab completion pop-up menu placement.
	* pan-view.[ch]: New files for pan view - 2.1 is officially started :)

Sat Feb 26 14:42:42 2005  John Ellis  <johne@verizon.net>

	* README: Updates.
	* configure.in: Release 2.0.0

Sat Feb 26 14:06:41 2005  John Ellis  <johne@verizon.net>

	* po/bg.po: Update Bulgarian translation,
	submitted by Vladimir Petrov.
	* po/it.po: Update Italian translation,
	submitted by Costantino, with additions from Marco Colombo.
	* po/nl.po: Update Dutch translation,
	submitted by Tino Meinen.
	* po/pl.po: Update Polish translation,
	submitted by Wit Wilinski.

Fri Feb 25 11:10:19 2005  John Ellis  <johne@verizon.net>

	* doc/11_1_command_line.html: Small fix.

Wed Feb 23 20:19:38 2005  John Ellis  <johne@verizon.net>

	* po/es.po: Update Spanish translation,
	submitted by Ariel Fermani.
	* po/it.po: Update Italian translation,
	submitted by Costantino.
	* po/ja.po: Update Japanese translation,
	submitted by Takeshi Aihana.
	* po/ru.po: Update Russian translation,
	submitted by Sergey Pinaev.

Wed Feb 23 09:02:49 2005  John Ellis  <johne@verizon.net>

	* configure.in, src/Makefile.am, main.c: Clean up define for localedir.

Tue Feb 15 07:35:50 2005  John Ellis  <johne@verizon.net>

	* main.c: Disable startup beta message.
	* po/it.po: Update Italian translation,
	submitted by Costantino <inverness1ATvirgilio.it>.
	* README: Updates.
	* configure.in: Release 1.5.9

Mon Feb 14 14:47:32 2005  John Ellis  <johne@verizon.net>

	* search.c (search_file_next): Ignore case for keyword search.

Fri Feb 11 15:32:28 2005  John Ellis  <johne@verizon.net>

	* view_file_list.c (vflist_thumb_do): Fix big thumbnail leak, no need
	to ref the pixbuf as thumb_loader_get_pixbuf does this for us.

Wed Feb  9 10:27:00 2005  John Ellis  <johne@verizon.net>

	* cache.c (cache_sim_data_save): Print a warning when a save fails.
	* search.c: Fix search saving the cached data by first creating the
	directory for the location of the data, fixes search caching bug.

Wed Feb  9 09:43:02 2005  John Ellis  <johne@verizon.net>

	* search.[ch]: Add ability to set the default image used for similarity
	in a search.
	* layout_util.c: Set the default image in a search to the visible
	image.

Tue Feb  8 18:17:51 2005  John Ellis  <johne@verizon.net>

	* layout_util.c: Correct wrong main window keyboard shortcuts for the
	editor slots.

Tue Feb  8 16:16:30 2005  John Ellis  <johne@verizon.net>

	* pixbuf_util.c: Change to GTK's gdk-pixbuf for saving pngs.
	* src/Makefile.am: Remove png libs from LDADD.
	* README: Updates.
	* configure.in: Remove libpng checks, release 1.5.8

Tue Feb  8 15:19:20 2005  John Ellis  <johne@verizon.net>

	* globals.c: Change default thumbnail mechanism to shared thumbnails.
